# SystemC-Components-Test
Examples and tests for the SystemC-Components

#Prerequisites:

In Console:

	-Check for needed modules in ~/.bashrc
	they should be available directly in the linux installation or in the Modulefile top level file in the Project. If not, install it and add it to $PATH with:
	
	export PATH="needed-path:$PATH"
	
	-Edit bashrc and add:
	
	./opt/shared/modules/4.4.1/init/bash
	module use /opt/shared/modules/modulefiles
	
	at end of file. 
	
	-Load the Modules from the top level file in the Project:
	
	module load ./Modulefile
	
	-Install conan with:
	
	pip install conan
	
	-and run this comands to run conan with the C++11 library:
	
	conan profile new default --detect --force
	conan profile update settings.compiler.libcxx=libstdc++11 default
	
	-Add conan to $PATH
	
#Build:
	-Create folder "build" in SystemC-Components-Test project folder.
	-Build the project with:
	
	cmake ..
	 
	-compile
	
	make -j4   #4 means number of cores where it is compiled.
	
	
#Run:
	-from build folder run:
	
	./bin/"binary-name"	#binary name: zb. "sim_performance"
	